<?php

App::uses('Component', 'Controller');
App::uses('PortabilityController', 'Portability.Controller');

/**
 * Plugin de validacao de saldos por conta
 *
 * PHP versions 5+
 *
 * @author	 	  Fabricio S Costa
 * @link          https://fabriciojf@gmail.com 
 * @version		  1.0
 * 
 * O outro componente que seu componente utiliza
 * public $components = array('Outro');
 */
class ValidateComponent extends Component {
	
	const USER_INVALID = '998 - Usuário Inválido';
	const DATA_INVALID = '997 - Dados Inválidos';
	
/**
 * TODO melhorar o processo de validacao
 * Retorna se trata-se de um usuario valido ou nao
 * @param unknown $key
 */	
	public function isUserValid($key) {
		
		if (empty($key)) {
			return false;
		}
		
		$Portability = new PortabilityController;
		$Portability->constructClasses();
		return $Portability->userExists($key);
	}
	
/**
 * TODO melhorar o processo de validacao
 * Retorna se trata-se de um usuario valido ou nao
 * @param unknown $key
 */
	public function getUserByKey($key) {
		$Portability = new PortabilityController;
		$Portability->constructClasses();
		return $Portability->getByKey($key);
	}	
	
}